webentwicklung-frage-antwort-db.com.de

Firebase, com.google.firebase: firebase-messaging: 17.3.0 funktioniert nicht

Ich habe eine Menge Postings gefunden, die über dieses Thema sprechen ... Ich bin 2 Tage lang im Versuch, die Firebase-Implementierung einzufügen, aber ohne Erfolg. Kann mir jemand helfen?

build.gradle Project

build.gradle Module

Wie Sie sehen, com.google.firebase: firebase-messaging: 17.3.0 wird es in keiner Weise gelesen und meldet einen Fehler ... Ich habe versucht, andere Versionen zu verwenden, aber das Ergebnis ändert sich nicht

Ich habe gelesen, dass es einige nicht aktivierte TOOLS-SDKs sein könnte, aber anscheinend hat dies keinen Einfluss auf ...

my SDK tools

Ich weiß nicht, wie ich es rausholen kann

wenn jemand eine gute Idee hätte, ist es willkommen! :)

2
Sklero Mc

Die Verwendung dieser Versionen löst Ihr Problem. Vergessen Sie nicht, das Projekt mit den Gradle-Dateien zu synchronisieren:

implementation 'com.google.firebase:firebase-core:16.0.3'
implementation 'com.google.firebase:firebase-messaging:17.3.2'
4
Alireza Noorali

versuchen Sie, jede Version auf 11.8.0 zu ändern 

kompilieren 'com.google.firebase: firebase-messaging: 11.8.0'

für auth, datenbank, speicher, messaging, bezogen auf firebase 

0

Die apply plugin: 'com.google.gms.google-services'-Zeile in Ihrer App build.gradle fehlt. Außerdem müssen Sie die google-services.json-Datei hinzufügen, die beim Erstellen Ihres Firebase-Projekts generiert wurde. 

Referenz https://firebase.google.com/docs/Android/setup